using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using UUN;
using System.Collections;
using System.Text;

public partial class wTemplate_Club_默认模板_SystemPage_Aspx_1:System.Web.UI.Page
{
	//------------------------------
	// 此文件代码由工具自动生成
	// 2010-5-27 17:14:12
	// UUNSOFT.COM 版权所有
	//------------------------------
	private 访问 访问;
	private StringBuilder 返回值;
	protected void Page_Load(object sender,EventArgs e)
	{
		访问 = new 访问(this.Context);
		访问.是否前台=true;
		访问.是否WML=true;
		访问.开始处理("WAP首页","网站页面","WAP首页",new 访问.回调委托(ZhiXing));
		访问.关闭连接();
	}
	private void ZhiXing()
	{
		返回值=new StringBuilder();
		返回值.Append(@"<?xml version=""1.0"" encoding=""utf-8""?>
<!DOCTYPE wml PUBLIC ""-//WAPFORUM//DTD WML 1.1//EN"" ""http://www.wapforum.org/DTD/wml_1.1.xml""> <wml>
<head>
<meta http-equiv=""Cache-Control"" content=""max-age=0"" />
</head>
<card title=""WAP首页"">
<p align=""left"">
");
		返回值.Append(new 消息(this.Context,访问.连接).弹出消息(访问.用户));
		版块列表OFZS5F0H();
		返回值.Append(DateTime.Now.ToString(@"MM-dd HH:mm"));
		返回值.Append(@"
</p>
</card>
</wml>");
		Response.Write(返回值);
		Response.Write("<!-- Powered by www.uunsoft.com -->");
	}
	private void 版块列表OFZS5F0H()
	{
		String SQL="SELECT [ID],[外部链接地址],[版块名称] FROM ["+程序.数据表前缀+"社区_论坛_版块] WHERE [所属版块]=0 ORDER BY [排序]";
		SqlCommand 语句=new SqlCommand(SQL,访问.连接);
		DataSet 数据=new DataSet();
		SqlDataAdapter 填充=new SqlDataAdapter(语句);
		填充.Fill(数据,"表");
		for(int i=0;i<数据.Tables[0].Rows.Count;i++)
		{
			if(i%2==0)
				返回值.Append(@"");
			if(i%2!=0)
				返回值.Append(@"");
			DataRow 行=数据.Tables[0].Rows[i];
			返回值.Append(@"<a href=""");
			返回值.Append(行["外部链接地址"].ToString()!=""?Server.HtmlEncode(常用.处理地址(行["外部链接地址"].ToString(),访问.用户["标识"].ToString())):Server.HtmlEncode(常用.处理地址(程序.安装位置+"Club/Board.aspx?ID="+行["ID"],访问.用户["标识"].ToString())));
			返回值.Append(@""">");
			返回值.Append(Server.HtmlEncode(行["版块名称"].ToString()));
			返回值.Append(@"</a>");
			if(i%2==1||数据.Tables[0].Rows.Count==(i+1))
				返回值.Append(@"<br/>");
		}
	}
}